public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/xmw:master commit in: dev-embedded/msp430-uart/files/, dev-embedded/msp430-uart/
Date: Fri,  6 Sep 2013 22:20:32 +0000 (UTC)	[thread overview]
Message-ID: <1378506023.519339fac12cf7c441911ef2ae67b4301908f37c.xmw@gentoo> (raw)

commit:     519339fac12cf7c441911ef2ae67b4301908f37c
Author:     Michael Weber <michael <AT> xmw <DOT> de>
AuthorDate: Fri Sep  6 22:20:23 2013 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Fri Sep  6 22:20:23 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/xmw.git;a=commit;h=519339fa

Initial import

Package-Manager: portage-2.2.0
Manifest-Sign-Key: 62EEF090

---
 dev-embedded/msp430-uart/ChangeLog                 |  5 +++
 .../msp430-uart/files/msp430-uart-0-cdc-acm.patch  | 33 ++++++++++++++++++++
 dev-embedded/msp430-uart/metadata.xml              |  8 +++++
 dev-embedded/msp430-uart/msp430-uart-0.ebuild      | 36 ++++++++++++++++++++++
 4 files changed, 82 insertions(+)

diff --git a/dev-embedded/msp430-uart/ChangeLog b/dev-embedded/msp430-uart/ChangeLog
new file mode 100644
index 0000000..142e3cb
--- /dev/null
+++ b/dev-embedded/msp430-uart/ChangeLog
@@ -0,0 +1,5 @@
+*msp430-uart-0 (06 Sep 2013)
+
+  06 Sep 2013; Michael Weber <xmw@gentoo.org>
+  +files/msp430-uart-0-cdc-acm.patch, +metadata.xml, +msp430-uart-0.ebuild:
+  Initial import

diff --git a/dev-embedded/msp430-uart/files/msp430-uart-0-cdc-acm.patch b/dev-embedded/msp430-uart/files/msp430-uart-0-cdc-acm.patch
new file mode 100644
index 0000000..3936f1b
--- /dev/null
+++ b/dev-embedded/msp430-uart/files/msp430-uart-0-cdc-acm.patch
@@ -0,0 +1,33 @@
+From https://aur.archlinux.org/packages.php?ID=63769
+
+--- cdc-acm.c.orig	2013-04-11 20:33:24.000000000 +0400
++++ cdc-acm.c	2013-04-11 20:33:41.463683982 +0400
+@@ -552,11 +552,6 @@
+ 		goto error_submit_urb;
+ 	}
+ 
+-	acm->ctrlout = ACM_CTRL_DTR | ACM_CTRL_RTS;
+-	if (acm_set_control(acm, acm->ctrlout) < 0 &&
+-	    (acm->ctrl_caps & USB_CDC_CAP_LINE))
+-		goto error_set_control;
+-
+ 	usb_autopm_put_interface(acm->control);
+ 
+ 	/*
+@@ -577,8 +572,6 @@
+ error_submit_read_urbs:
+ 	acm->ctrlout = 0;
+ 	acm_set_control(acm, acm->ctrlout);
+-error_set_control:
+-	usb_kill_urb(acm->ctrlurb);
+ error_submit_urb:
+ 	usb_autopm_put_interface(acm->control);
+ error_get_interface:
+@@ -609,7 +602,6 @@
+ 	mutex_lock(&acm->mutex);
+ 	if (!acm->disconnected) {
+ 		usb_autopm_get_interface(acm->control);
+-		acm_set_control(acm, acm->ctrlout = 0);
+ 		usb_kill_urb(acm->ctrlurb);
+ 		for (i = 0; i < ACM_NW; i++)
+ 			usb_kill_urb(acm->wb[i].urb);

diff --git a/dev-embedded/msp430-uart/metadata.xml b/dev-embedded/msp430-uart/metadata.xml
new file mode 100644
index 0000000..5b80fb9
--- /dev/null
+++ b/dev-embedded/msp430-uart/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+<email>xmw@gentoo.org</email>
+<name>Michael Weber</name>
+</maintainer>
+</pkgmetadata>

diff --git a/dev-embedded/msp430-uart/msp430-uart-0.ebuild b/dev-embedded/msp430-uart/msp430-uart-0.ebuild
new file mode 100644
index 0000000..c432280
--- /dev/null
+++ b/dev-embedded/msp430-uart/msp430-uart-0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit linux-info linux-mod eutils
+
+DESCRIPTION="kernel module fix for the MSP430 LaunchPad UART"
+HOMEPAGE="https://aur.archlinux.org/packages.php?ID=63769"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+CONFIG_CHECK="~!USB_SERIAL_TI"
+ERROR_X86_ACPI_CPUFREQ="CONFIG_USB_SERIAL_TI has to be configured to Module to enable the replacement of cdc-acm with msp430-uart."
+MODULE_NAMES="${PN}(misc:)"
+BUILD_TARGETS="module"
+
+DEPEND=""
+RDEPEND=""
+
+S=${WORKDIR}
+
+src_prepare() {
+	cp -v "${KERNEL_DIR}"/drivers/usb/class/cdc-acm.{c,h} . || die
+	epatch "${FILESDIR}"/${P}-cdc-acm.patch
+	echo "obj-m := ${PN}.o" >> Makefile
+	echo "module:" >> Makefile
+	echo "	\$(MAKE) -C "${KERNEL_DIR}" M="${S}" modules" >> Makefile
+	mv cdc-acm.c ${PN}.c || die
+	export KERNEL_DIR="${KERNEL_DIR}"
+}


             reply	other threads:[~2013-09-06 22:20 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-09-06 22:20 Michael Weber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2014-07-08 16:00 [gentoo-commits] dev/xmw:master commit in: dev-embedded/msp430-uart/files/, dev-embedded/msp430-uart/ Michael Weber
2014-07-22  0:22 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1378506023.519339fac12cf7c441911ef2ae67b4301908f37c.xmw@gentoo \
    --to=xmw@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox